#include "testlib.h"
#include <iostream>

using namespace std;

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);
	int minN = atoi(argv[1]);
	int maxN = atoi(argv[2]);
	int n = rnd.next(minN, maxN);
	int r = rnd.next(1, 3);
	r*=10;
	int x = rnd.next(r, 100-r);
	int y = rnd.next(r, 100-r);
	cout << n << " " <<r<<" "<< x << " " << y<< endl;
}